import { screen } from "./assets/screen.js";
import { selector } from "./assets/selector.js";
import { assets_getter } from "./assets/assets-getter.js";

document.addEventListener("DOMContentLoaded", () => {
    if (!document.querySelector("body")) {
        document.querySelector("html").appendChild(
            document.createElement("body")
        );
    }

    const app = document.querySelector(".app");
    const assets_loader = new assets_getter(document.location.href);
    const view_manager = new screen(app, assets_loader);

    setTimeout(() => {
        view_manager.view = selector;
    }, 500);
});